Subject: RE: Reality check (was Re: Other mechanisms for DNS server discov ery.)

From: Richard Draves <[email-masked]>
Date: Wed, 23 Jun 1999 08:03:58 -0700

I think a service discovery protocol like SSDP or SLP is the right approach
for discovering DNS servers.

> -----Original Message-----
> From: Peter Tattam [mailto:[email-masked]]
> Sent: Wednesday, June 23, 1999 3:18 AM
> To: [email-masked]
> Subject: Reality check (was Re: Other mechanisms for DNS server
> discovery.)
> 
> 
> On Wed, 23 Jun 1999, Peter Tattam wrote:
> 
> > As a developer of client TCP/IP stack software, we 
> experience a very common
> > issue relating to automatic configuration of the client, 
> and that is defining
> > the DNS server.
> > 
> > While BOOTP/DHCP is the defined protocol for conveying such 
> information, in our
> > experience it is not the most reliable of solutions as it 
> interacts with other
> > items such as the IP address and the leasing concept of 
> DHCP sometimes breaks
> > things.
> > 
> > In light of the fact that DNS is absolutely essential for a 
> working stack these
> > days and that there are mechanisms built in to IPv6 for 
> automatic address and
> > network configuration, is there any merit in providing some 
> sure fire way of
> > seeding a DNS server list for a host with a mechanism that 
> is different from
> > DHCP?   Perhaps including it in Router advertisements.
> > 
> > Peter
> > 
> > --
> > Peter R. Tattam                            [email-masked]
> > Managing Director,    Trumpet Software International Pty Ltd
> > Hobart, Australia,  Ph. +61-3-6245-0220,  Fax +61-3-62450210
> > 
> 
> As an addendum to this, could I make a gentle hint that some 
> consideration
> be given in relation to setting up first time users of the Internet.
> 
> Many of us have had years of experience with computers and 
> find many setup
> tasks trivial, but the number of people experiencing a 
> computer for the first
> time by connecting to the Internet is becoming a more common 
> occurence daily.
> You just have to ask my tech support team and they could 
> rattle out story after
> story.
> 
> I would say that the lion's share of these users would be 
> using the Windows
> platform but the representation of developers on this list 
> for that platform is
> relatively low.  If you sideline some of the key developers 
> in the process the
> only result will be the establishment of proprietary 
> protocols and nobody wants
> that to happen. 
> 
> Please try to keep this in mind in the design process.  
> Remember Murphy's Law
> works *really* well in the actual ISP world  :)
> 
> Peter
> 
> --
> Peter R. Tattam                            [email-masked]
> Managing Director,    Trumpet Software International Pty Ltd
> Hobart, Australia,  Ph. +61-3-6245-0220,  Fax +61-3-62450210
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------